<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2017/11/30/030
 * Time: 10:10
 */
?>
<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-12">
        <h2>公告/帮助管理</h2>
        <ol class="breadcrumb">
            <li>
                <a href="<?= \yii\helpers\Url::to(['/admin/dashboard']) ?>">管理首页</a>
            </li>
            <li class="active">
                <strong>公告/帮助管理</strong>
            </li>
        </ol>
    </div>
</div>
<div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <div class="btn-group">
                        <button id="add" class="btn btn-default">添加</button>
                        <button id="edit" class="btn btn-default">编辑</button>
                    </div>
                    <div class="btn-group pull-right">
                        <button id="delete" class="btn btn-primary"><i class="fa fa-trash"></i></button>
                    </div>
                    <div class="clearfix"></div>
                </div>

                <div class="ibox-content">

                    <div class="table-responsive">
                        <table id="datatables" class="table table-striped table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>类型</th>
                                <th>标题</th>
                                <th>发布时间</th>
                            </tr>
                            </thead>
                            <tfoot>
                            <tr>
                                <th>ID</th>
                                <th>类型</th>
                                <th>标题</th>
                                <th>发布时间</th>
                            </tr>
                            </tfoot>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal inmodal" id="modal" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content animated bounceInRight">

        </div>
    </div>
</div>

<?php $this->beginBlock('footer_script'); ?>
<script>
    KindEditor.ready(function(K) {});
</script>

<!-- Page-Level Scripts -->
<script>
    var table;
    $(document).ready(function() {
        table = $('#datatables').DataTable({
            "aLengthMenu": [[20,50,100,500,999999999], [20,50,100,500,"ALL"]],
            language: {
                "sProcessing": "处理中...",
                "sLengthMenu": "显示 _MENU_ 项结果",
                "sZeroRecords": "没有匹配结果",
                "sInfo": "显示第 _START_ 至 _END_ 项结果，共 _TOTAL_ 项",
                "sInfoEmpty": "显示第 0 至 0 项结果，共 0 项",
                "sInfoFiltered": "(由 _MAX_ 项结果过滤)",
                "sInfoPostFix": "",
                "sSearch": "搜索:",
                "sUrl": "",
                "sEmptyTable": "表中数据为空",
                "sLoadingRecords": "载入中...",
                "sInfoThousands": ",",
                "oPaginate": {
                    "sFirst": "首页",
                    "sPrevious": "上页",
                    "sNext": "下页",
                    "sLast": "末页"
                },
                "oAria": {
                    "sSortAscending": ": 以升序排列此列",
                    "sSortDescending": ": 以降序排列此列"
                }
            },
            "processing": true,
            "serverSide": true,
            "ajax": '<?= \yii\helpers\Url::to(['/admin/notice/notice-ajax']) ?>',
            "order": [[0, "desc"]],
            "columns": [{
                "data": "id"
            },{
                "data": "type"
            },
                {
                    "data": "title",
                    "orderable": false
                },
                {
                    "data": "in_time"
                }],

            columnDefs: [{
                targets: 1,
                render: function(data, type, row, meta) {
                    if(data==0){
                        return "会员公告"
                    }else if(data==1){
                        return "代理商公告"
                    }else if(data==2){
                        return "用户帮助中心"
                    }else if(data==3){
                        return "代理帮助中心"
                    }
                },
                "orderable": true
            },{
                targets: 3,
                render: function(data, type, row, meta) {
                    return timeStamp2String(parseInt(data));
                },
                "orderable": true
            }],


            "sPaginationType": "full_numbers",
            dom: '<"html5buttons"B>lTfgitp',
            buttons: [{
                extend: 'copy'
            },
                {
                    extend: 'csv'
                },
                {
                    extend: 'excel'
                },
                {
                    extend: 'pdf'
                },
                {
                    extend: 'print',
                    customize: function(win) {
                        $(win.document.body).addClass('white-bg');
                        $(win.document.body).css('font-size', '10px');
                        $(win.document.body).find('table').addClass('compact').css('font-size', 'inherit');
                    }
                }]

        });

        $('#datatables tbody').on('click', 'tr',
            function() {
                if ($(this).hasClass('selected')) {
                    $(this).removeClass('selected');
                } else {
                    table.$('tr.selected').removeClass('selected');
                    $(this).addClass('selected');
                }
            });

        $('#add').click(function() {
            $("#modal").removeData();
            var url="/admin/notice/add?t="+new Date().getTime();
            $("#modal").modal({
                remote:url,
                show:true
            });
        });

        $('#edit').click(function() {
            $("#modal").removeData();
            var data=table.row('.selected').data();
            if(data!=undefined){
                var url="/admin/notice/edit?id="+data.id+"&t="+new Date().getTime();
                $("#modal").modal({
                    remote:url,
                    show:true
                });
            }
        });

        $('#delete').click(function() {
            var data=table.row('.selected').data();
            if(data!=undefined){
                $.ajax({
                    type: "POST",
                    url: "/admin/notice/delete",
                    data: {
                        id:data.id
                    },
                    dataType: "json",
                    beforeSend: function() {},
                    success: function(data) {
                        if(data.code == 1){
                            table.ajax.reload();
                        }else{
                            toastr.error(data.message, "提示");
                        }
                    },
                    complete: function(XMLHttpRequest, textStatus) {},
                    error: function() {}
                });
            }
        });

        $("#modal").on("hidden.bs.modal", function() {
            $(this).removeData("bs.modal");
            KindEditor.remove('#kindeditor');
        });

    });
</script>
<?php $this->endBlock();?>
